xpath_lexer_string Struct Reference

## Public Member Functions

| xpath_lexer_string ()
bool | operator== (const char_t *other) const

## Public Attributes

const char_t * | begin
const char_t * | end

## Detailed Description

Definition at line 7495 of file pugixml.cpp.

## Constructor & Destructor Documentation

## xpath_lexer_string()

xpath_lexer_string::xpath_lexer_string | ( |  | ) |

inline

Definition at line 7500 of file pugixml.cpp.

: begin(0), end(0)
{
}
xpath_lexer_string::begin
const char_t * begin
Definition: pugixml.cpp:7497
xpath_lexer_string::end
const char_t * end
Definition: pugixml.cpp:7498

## Member Function Documentation

## operator==()

bool xpath_lexer_string::operator== | ( | const char_t * | other | ) | const

inline

Definition at line 7504 of file pugixml.cpp.

{
size_t length = static_cast<size_t>(end - begin);
return strequalrange(other, begin, length);
}
strequalrange
PUGI__FN bool strequalrange(const char_t *lhs, const char_t *rhs, size_t count)
Definition: pugixml.cpp:200

References begin, end, and strequalrange().

## Member Data Documentation

## begin

const char_t* xpath_lexer_string::begin

Definition at line 7497 of file pugixml.cpp.

Referenced by xpath_parser::alloc_string(), xpath_lexer::next(), operator==(), xpath_parser::parse_axis_name(), xpath_parser::parse_function(), xpath_parser::parse_node_test_type(), xpath_parser::parse_primary_expression(), and xpath_parser::parse_step().

## end

const char_t* xpath_lexer_string::end

Definition at line 7498 of file pugixml.cpp.

Referenced by xpath_parser::alloc_string(), xpath_lexer::next(), operator==(), xpath_parser::parse_primary_expression(), and xpath_parser::parse_step().

The documentation for this struct was generated from the following file:

- pugixml.cpp